Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZSection Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| id ()
| name ()
| description ()
| setName ( $value)
| setSiteDesign ( $value)
| setTemplateStyle ( $value)
| setLanguage ( $value)
| setDescription ( $value)
| setOverrideVariables ()
& | frontPageRows ()
| addFrontPageRow ( $rowID)

## Static Public Member Functions
static | getAll ( $offset=0, $limit=40)
static | count ()
| siteDesign ( $sectionID=false)
static | siteDesignStatic ( $sectionID=false)
| templateStyle ( $sectionID=false)
static | templateStyleStatic ( $sectionID=false)
static | language ( $sectionID=false)
static & | globalSectionObject ( $sectionID)
static & | settingNames ()

## Public Attributes
| $ID
| $Name
| $SiteDesign
| $TemplateStyle
| $Description
| $Created
| $SecLanguage

## Detailed Description

! eZSection eZSections handles sections..

Example code:

Definition at line 44 of file ezsection.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSection::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZSection object.

If $id is set the object's values are fetched from the database.

Definition at line 53 of file ezsection.php.

References $id, and $ID.

## Member Function Documentation

## ◆ addFrontPageRow()

eZSection::addFrontPageRow | ( |  | $rowID | ) |

Definition at line 431 of file ezsection.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ count()

static eZSection::count | ( |  | ) |
| static

Returns the total count.

Definition at line 200 of file ezsection.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ delete()

eZSection::delete | ( |  | $catID = `-1` | ) |

Deletes a eZSection object from the database.

Definition at line 123 of file ezsection.php.

References $db, $ID, and eZDB\globalDatabase().

## ◆ description()

eZSection::description | ( |  | ) |

Returns the section description.

Definition at line 317 of file ezsection.php.

## ◆ frontPageRows()

& eZSection::frontPageRows | ( |  | ) |

Definition at line 414 of file ezsection.php.

References $db, $row, $rows, and eZDB\globalDatabase().

## ◆ get()

eZSection::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 136 of file ezsection.php.

References $db, $id, $query, $ret, count(), eZDB\globalDatabase(), and Name.

## ◆ getAll()

static eZSection::getAll | ( |  | $offset = `0`,
|  |  | $limit = `40`
| ) |  |
| static

Static Returns all the categories found in the database.

The categories are returned as an array of eZSection objects.

Definition at line 177 of file ezsection.php.

References $db, $i, $limit, $offset, count(), and eZDB\globalDatabase().

## ◆ globalSectionObject()

static& eZSection::globalSectionObject | ( |  | $sectionID | ) |
| static

Will return the global section object for the given section ID.

Definition at line 366 of file ezsection.php.

Referenced by ezpbKernelWeb\run().

## ◆ id()

eZSection::id | ( |  | ) |

Returns the object ID to the section. This is the unique ID stored in the database.

Definition at line 215 of file ezsection.php.

References $ID.

## ◆ language()

static eZSection::language | ( |  | $sectionID = `false` | ) |
| static

Returns the language for this section.

Definition at line 302 of file ezsection.php.

References $db, and eZDB\globalDatabase().

## ◆ name()

eZSection::name | ( |  | ) |

Returns the name of the section.

Definition at line 223 of file ezsection.php.

References $Name, and Name.

## ◆ setDescription()

eZSection::setDescription | ( |  | $value | ) |

Sets the description of the section.

Definition at line 357 of file ezsection.php.

## ◆ setLanguage()

eZSection::setLanguage | ( |  | $value | ) |

Sets the Language of the section.

Definition at line 349 of file ezsection.php.

## ◆ setName()

eZSection::setName | ( |  | $value | ) |

Sets the name of the section.

Definition at line 325 of file ezsection.php.

References Name.

## ◆ setOverrideVariables()

eZSection::setOverrideVariables | ( |  | ) |

Will set override variables for this section.

Language and templatestyle variables will be overrided.

Definition at line 384 of file ezsection.php.

References $ini.

## ◆ setSiteDesign()

eZSection::setSiteDesign | ( |  | $value | ) |

Sets the SiteDesign of the section.

Definition at line 333 of file ezsection.php.

## ◆ setTemplateStyle()

eZSection::setTemplateStyle | ( |  | $value | ) |

Sets the TemplateStyle of the section.

Definition at line 341 of file ezsection.php.

## ◆ settingNames()

static& eZSection::settingNames | ( |  | ) |
| static

Definition at line 404 of file ezsection.php.

References $db, and eZDB\globalDatabase().

## ◆ siteDesign()

eZSection::siteDesign | ( |  | $sectionID = `false` | ) |
| static

Returns the SiteDesign of the section.

If $sectionID is a number, the function will return the sitedesign for that section ID.

Definition at line 237 of file ezsection.php.

References $db, and eZDB\globalDatabase().

## ◆ siteDesignStatic()

static eZSection::siteDesignStatic | ( |  | $sectionID = `false` | ) |
| static

Definition at line 256 of file ezsection.php.

References $db, and eZDB\globalDatabase().

## ◆ store()

eZSection::store | ( |  | ) |

Stores a eZSection object to the database.

Definition at line 65 of file ezsection.php.

References $db, $name, $query, $res, eZDB\globalDatabase(), and Name.

## ◆ templateStyle()

eZSection::templateStyle | ( |  | $sectionID = `false` | ) |
| static

Returns the template style for this section.

Definition at line 273 of file ezsection.php.

References $db, and eZDB\globalDatabase().

## ◆ templateStyleStatic()

static eZSection::templateStyleStatic | ( |  | $sectionID = `false` | ) |
| static

Definition at line 287 of file ezsection.php.

References $db, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Created

eZSection::$Created

Definition at line 464 of file ezsection.php.

## ◆ $Description

eZSection::$Description

Definition at line 463 of file ezsection.php.

## ◆ $ID

eZSection::$ID

Definition at line 459 of file ezsection.php.

Referenced by __construct(), delete(), and id().

## ◆ $Name

eZSection::$Name

Definition at line 460 of file ezsection.php.

Referenced by name().

## ◆ $SecLanguage

eZSection::$SecLanguage

Definition at line 465 of file ezsection.php.

## ◆ $SiteDesign

eZSection::$SiteDesign

Definition at line 461 of file ezsection.php.

## ◆ $TemplateStyle

eZSection::$TemplateStyle

Definition at line 462 of file ezsection.php.

The documentation for this class was generated from the following file:

- ezsection.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.